How can I make boundary surfaces from these two lists of curves?

WOW…that’s simple …does it work with a curved c-plane…eg surface of a sphere ?

I am trying to achieve this but not in a flat plane…


CURVE REGIONS.gh (25.2 KB)

in other words…Is there a way to replace the xy plane with a C-Plane?
CURVE REGIONS-sphere.gh (26.4 KB)

I see that you added “points” in order to have 4 arguments…if I try to do that with a python3 component it doesn’t like the empty input.

mine was indeed a poor implementation :slight_smile:

CurveRegions.gh (18.5 KB)

just added lines 3 and 4 to explicit an empty list, but I’m not to the level of coding knowledge to understand if this is correct and/or good practice…

import Rhino.Geometry as rg

if not points:   #added this
    points = []  #and this

regions = rg.Curve.CreateBooleanRegions(crv, plane, points, False, tol)

a = []

for x in range(regions.RegionCount):
    a.extend(regions.RegionCurves(x)) 

I think I would project the regions directly:

Regions_on_sphere.gh (26.8 KB)

Thank you so much …the altered script and projection advice are what I needed to stop fumbling away with what I didn’t fully understand…

1 Like